
using Godot;


namespace Rokojori
{  
  [Tool]
  [GlobalClass ]
  public partial class TweenType : Resource
  {
    public virtual void SetFromAndTo( object a, object b )
    {

    }

    public virtual float GetTweenDuration()
    {
      return 0.5f;
    }

    public virtual float GetTweenPhaseForPhase( float phase )
    {
      return phase;
    }

  }
}
